package httpdata

type Response struct {
	Data    any    `json:"data,omitempty"`
	Code    Code   `json:"code"`
	Message string `json:"message,omitempty"`
}

type PageData struct {
	List      []any `json:"list"`
	PageIndex int   `json:"pageIndex"` // >=1
	PageSize  int   `json:"pageSize"`  // >=1
	Total     int   `json:"total"`     // maybe 0
}

func NewOkResponse(data any) Response {
	return Response{
		Code:    CodeOK,
		Message: "",
		Data:    data,
	}
}
